> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# उपयोगकर्ता खोज

> कीवर्ड के आधार पर उपयोगकर्ताओं को खोजें

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

उपयोगकर्ता खोज एंडपॉइंट आपको कीवर्ड के आधार पर उपयोगकर्ताओं को खोजने की सुविधा देता है। उपयोगकर्ताओं को नाम, यूज़रनेम या उनकी बायो में मौजूद सामग्री के आधार पर खोजें।

<div id="overview">
  ## अवलोकन
</div>

<CardGroup cols={2}>
  <Card title="कीवर्ड खोज" icon="magnifying-glass">
    नाम, उपयोगकर्ता नाम या परिचय के आधार पर खोजें
  </Card>

  <Card title="उपयोगकर्ताओं को खोजें" icon="user-plus">
    प्रासंगिक अकाउंट खोजें
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## एंडपॉइंट
</div>

| मेथड | एंडपॉइंट                                          | विवरण                    |
| :--- | :------------------------------------------------ | :----------------------- |
| GET  | [`/2/users/search`](/hi/x-api/users/search-users) | उपयोगकर्ताओं की खोज करें |

***

<div id="example-request">
  ## अनुरोध का उदाहरण
</div>

```bash theme={null}
curl "https://api.x.com/2/users/search?\
query=python%20developer&\
user.fields=description,verified,public_metrics" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## रिस्पॉन्स का उदाहरण
</div>

```json theme={null}
{
  "data": [
    {
      "id": "1234567890",
      "name": "Python Developer",
      "username": "pythondev",
      "description": "Building cool things with Python",
      "verified": false,
      "public_metrics": {
        "followers_count": 5000,
        "following_count": 200,
        "tweet_count": 1500
      }
    }
  ],
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## शुरू करें
</div>

<Note>
  **पूर्वापेक्षाएँ**

  * एक स्वीकृत [डेवलपर खाता](https://developer.x.com/en/portal/petition/essential/basic-info)
  * डेवलपर कंसोल में एक [Project और ऐप](/hi/resources/fundamentals/developer-apps)
  * आपके ऐप की [कुंजियाँ और टोकन](/hi/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="उपयोगकर्ता खोज" icon="user" href="/hi/x-api/users/lookup/introduction">
    ID या उपयोगकर्ता नाम से उपयोगकर्ताओं को खोजें
  </Card>

  <Card title="API संदर्भ" icon="code" href="/hi/x-api/users/user-search">
    एंडपॉइंट का संपूर्ण दस्तावेज़ीकरण
  </Card>
</CardGroup>
